Skip to main content
GET
/
campaigns
/
{campaign_id}
/
rules
/
{rule_id}
cURL
curl --request GET \
  --url https://api-sandbox.y.uno/v1/campaigns/{campaign_id}/rules/{rule_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "data": {
    "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
    "rule_type": "PAYMENT_STATUS",
    "values": [
      "DECLINED"
    ],
    "conditional": "EQUAL",
    "metadata_key": null,
    "status": "ACTIVE",
    "created_at": "2025-07-01T12:05:00Z",
    "updated_at": "2025-07-01T12:05:00Z"
  }
}
Retrieves a specific rule from a campaign.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

campaign_id
string
required

The campaign identifier (UUID).

rule_id
string
required

The rule identifier (UUID).

Response

200 - application/json
data
object